// ignore_for_file: non_constant_identifier_names
import "json_dart.dart";
// import "dart:convert";

class RegExpDataScheme extends JsonDart {
  RegExpDataScheme(super.rawData);

  static Map get defaultData {
    return {
      "@type": "regExpDataScheme",
      "pattern": "",
      "is_multi_line": false,
      "is_case_sensitive": false,
      "is_unicode": false,
      "is_dot_all": false
    };
  }

  String? get special_type {
    try {
      if (rawData["@type"] is String == false) {
        return null;
      }
      return rawData["@type"] as String;
    } catch (e) {
      return null;
    }
  }

  String? get pattern {
    try {
      if (rawData["pattern"] is String == false) {
        return null;
      }
      return rawData["pattern"] as String;
    } catch (e) {
      return null;
    }
  }

  bool? get is_multi_line {
    try {
      if (rawData["is_multi_line"] is bool == false) {
        return null;
      }
      return rawData["is_multi_line"] as bool;
    } catch (e) {
      return null;
    }
  }

  bool? get is_case_sensitive {
    try {
      if (rawData["is_case_sensitive"] is bool == false) {
        return null;
      }
      return rawData["is_case_sensitive"] as bool;
    } catch (e) {
      return null;
    }
  }

  bool? get is_unicode {
    try {
      if (rawData["is_unicode"] is bool == false) {
        return null;
      }
      return rawData["is_unicode"] as bool;
    } catch (e) {
      return null;
    }
  }

  bool? get is_dot_all {
    try {
      if (rawData["is_dot_all"] is bool == false) {
        return null;
      }
      return rawData["is_dot_all"] as bool;
    } catch (e) {
      return null;
    }
  }

  static RegExpDataScheme create({
    String? special_type,
    String? pattern,
    bool? is_multi_line,
    bool? is_case_sensitive,
    bool? is_unicode,
    bool? is_dot_all,
  }) {
    RegExpDataScheme regExpDataScheme = RegExpDataScheme({
      "@type": special_type,
      "pattern": pattern,
      "is_multi_line": is_multi_line,
      "is_case_sensitive": is_case_sensitive,
      "is_unicode": is_unicode,
      "is_dot_all": is_dot_all,
    });

    return regExpDataScheme;
  }
}
